%global momorel 2
%global zip_version 231
%global zcrypt_version 29

Summary: A file compression and packaging utility compatible with PKZIP.
Name: zip
Version: 2.31
Release: %{momorel}m%{?dist}
License: BSD
Group: Applications/Archiving
%NoSource 0 http://ftp.info-zip.org/pub/infozip/src/zip%{zip_version}.tar.gz 6bfc076664416251d7624ab3538d1cb9
Source1: ftp://ftp.freesoftware.com/pub/infozip/src/zcrypt%{zcrypt_version}.tar.gz
URL: http://www.info-zip.org/pub/infozip/Zip.html
Patch0: zip23.patch
Patch1: exec-shield.patch
Patch2: zip23-umask.patch
Patch5: zip-2.3-currdir.patch
Patch6: zip-2.31-install.patch
Patch7: zip-2.31-near-4GB.patch
Patch8: zip-2.31-configure.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and
is compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.

%prep
%setup -q -a 1
%patch0 -p1 -b .zip
%patch1 -p1 -b .zip
%patch2 -p1 -b .umask
%patch5 -p1 -b .currdir
%patch6 -p1 -b .install
%patch7 -p1 -b .4gb
%patch8 -p1 -b .lhh

%build
make -f unix/Makefile prefix=/usr "CFLAGS=$RPM_OPT_FLAGS -I. -DUNIX -D_LARGEFILE64_SOURCE" generic_gcc

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_mandir}/man1

make -f unix/Makefile prefix=%{buildroot}/usr \
	MANDIR=%{buildroot}%{_mandir}/man1 install

pushd %{buildroot}
for n in zipnote zipsplit zip zipcloak ; do
    chmod 755 ./usr/bin/$n
done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS CHANGES MANUAL TODO WHATSNEW WHERE LICENSE
%doc proginfo/algorith.txt
/usr/bin/zipnote
/usr/bin/zipsplit
/usr/bin/zip
/usr/bin/zipcloak
%{_mandir}/man1/zip.1*

%changelog
* Sat May 27 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.31-2m)
- import patch from fc

* Sat Mar 12 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.31-1m)
  update to 2.31

* Tue Dec	 7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.3-14m)
- [Security] http://www.hexview.com/docs/20041103-1.txt
	patch from
	http://www.st.ryukoku.ac.jp/~kjm/security/ml-archive/full-disclosure/2004.11/msg00211.html
	http://www.st.ryukoku.ac.jp/~kjm/security/ml-archive/full-disclosure/2004.11/msg00217.html

* Sun Oct 26 2003 Kenta MURATA <muraken2@nifty.com>
- (2.3-13m)
- change source url.
- pretty spec file.
- adapt the License: preamble for the Momonga Linux license
	expression unification policy (draft).

* Fri Dec 6 2002 Nguyen Hung Vu <vuhung@momonga-linux.org>
- (2.3-12m)
- Apply ftp://ftp.freesoftware.com/pub/infozip/src/zcrypt29.tar.gz patch. Now zip support encryption with -e or -P

* Mon Oct 7 2002 Nguyen Hung Vu <vuhung@momonga-linux.org
- (2.3-11m)
- Nothing changed, just testing my first commit

* Sat Dec	 2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3-10k)
- modified spec file and errased zip.fhs.patch for compatibility

* Fri Nov 10 2000 Kenichi Matsubara <m@kondara.org>
- bugfix Source:.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Apr 03 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (2.3-4)

* Fri Feb 11 2000 Tenkou N. Hattori <tnh@kondara.org>
- remove /usr/bin/zipcloak.

* Mon Feb	 7 2000 Bill Nottingham <notting@redhat.com>
- fix some perms

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update to 2.3

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated text in the spec file

* Fri Jan 15 1999 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
